PreHashedDecoratedKey (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class PreHashedDecoratedKey

- java.lang.Object
- - org.apache.cassandra.db.DecoratedKey
  - - org.apache.cassandra.db.BufferDecoratedKey
    - - org.apache.cassandra.db.PreHashedDecoratedKey

- All Implemented Interfaces:
    java.lang.Comparable<RowPosition>, RowPosition, RingPosition<RowPosition>, IFilter.FilterKey

      public class PreHashedDecoratedKey
      extends BufferDecoratedKey

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.RowPosition

      `RowPosition.ForKey, RowPosition.Kind, RowPosition.RowPositionSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.DecoratedKey

      `comparator`

    - ### Fields inherited from interface org.apache.cassandra.db.RowPosition

      `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreHashedDecoratedKey(Token token, java.nio.ByteBuffer key, long hash0, long hash1)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filterHash(long[] dest)` Places the murmur3 hash of the key in the given long array of size at least two.

    - ### Methods inherited from class org.apache.cassandra.db.BufferDecoratedKey

      `getKey`

    - ### Methods inherited from class org.apache.cassandra.db.DecoratedKey

      `compareTo, compareTo, equals, getPartitioner, getToken, hashCode, isMinimum, kind, minValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PreHashedDecoratedKey

          public PreHashedDecoratedKey(Token token,
                                       java.nio.ByteBuffer key,
                                       long hash0,
                                       long hash1)

  - ### Method Detail

    - #### filterHash

          public void filterHash(long[] dest)

      Description copied from interface: `IFilter.FilterKey`
      Places the murmur3 hash of the key in the given long array of size at least two.
      Specified by:
        `filterHash` in interface `IFilter.FilterKey`
      Overrides:
        `filterHash` in class `DecoratedKey`

Copyright © 2018 The Apache Software Foundation